clear
set more off
clear
infile famid sex age edu using file.dat
clear
infix famid 1-3 sex 11 age 12-14 edu 20-21 using fix.dat
clear
insheet using sheet.csv
rename famid id
label var id "famid"
tabulate edu
generate college=1 if edu>=8

list edu college
replace college=0 if college==.
summarize
sort sex
by sex:tabulate college
sort id

generate pn=1 if id~=id[_n-1]

replace pn=pn[_n-1]+1 if id==id[_n-1]

tab sex
recode sex 2=0
tab sex
egen male=sum(sex), by(id)

keep id pn sex age edu
save out,replace
